OnlyFans API
OnlyFansProfile Content

List Profile Posts

Retrieve posts from another user's profile using your connected account's access. Follow _pagination.next_page for more results. Publication-date descending order uses a precise timestamp cursor; other ordering or an explicit offset uses offset pagination. Subscription and purchase requirements still apply.

GET
/api/{account}/users/{user_id}/posts
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

user_id*integer

The other user's numeric OnlyFans ID. Resolve a username with GET /{account}/users/{username} first.

Query Parameters

limit?integer

Number of posts, from 1 to 100. Default: 10.

offset?integer

Number of posts to skip. Use beforePublishTime for publication-time cursor pagination.

order?string

Order posts by this field. Default: publish_date.

Value in"publish_date" | "favorites_count" | "tips_summ"
sort?string

Sort direction. Default: desc.

Value in"desc" | "asc"
beforePublishTime?string

Publication timestamp cursor for older posts. Preserve decimal precision.

query?string

Search posts by text.

pinned?boolean

Set to true to request pinned posts.

counters?boolean

Include post counters. Default: false.

minimumPublishDate?string

Only include posts after this date.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/users/308625502/posts?limit=10&order=publish_date&sort=desc&pinned=false&counters=true"
{
  "data": {
    "list": [
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650002,
        "postedAt": "2026-02-08T15:32:46+00:00",
        "postedAtPrecise": "1770564766.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 660,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 8,
        "tipsAmount": "$25",
        "media": [
          {
            "id": 987650003,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-2.jpg",
                "width": 1290,
                "height": 1687,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-3.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-4.jpg",
                "width": 960,
                "height": 1256,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-5.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650004,
        "postedAt": "2026-02-04T03:31:18+00:00",
        "postedAtPrecise": "1770175878.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 596,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 11,
        "tipsAmount": "$0",
        "media": [
          {
            "id": 987650005,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-6.jpg",
                "width": 1290,
                "height": 936,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-7.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-8.jpg",
                "width": 960,
                "height": 697,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-9.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650006,
        "postedAt": "2026-01-23T09:35:49+00:00",
        "postedAtPrecise": "1769160949.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 647,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 7,
        "tipsAmount": "$10",
        "media": [
          {
            "id": 987650007,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-10.jpg",
                "width": 1290,
                "height": 1707,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-11.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-12.jpg",
                "width": 960,
                "height": 1271,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-13.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650008,
        "postedAt": "2026-01-15T14:58:43+00:00",
        "postedAtPrecise": "1768489123.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 551,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 9,
        "tipsAmount": "$0",
        "media": [
          {
            "id": 987650009,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-14.jpg",
                "width": 1290,
                "height": 1692,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-15.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-16.jpg",
                "width": 960,
                "height": 1260,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-17.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650010,
        "postedAt": "2026-01-08T20:44:59+00:00",
        "postedAtPrecise": "1767905099.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 489,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 8,
        "tipsAmount": "$5",
        "media": [
          {
            "id": 987650011,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-18.jpg",
                "width": 1290,
                "height": 1686,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-19.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-20.jpg",
                "width": 960,
                "height": 1255,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-21.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650012,
        "postedAt": "2025-12-14T17:17:17+00:00",
        "postedAtPrecise": "1765732637.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 951,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 14,
        "tipsAmount": "$15",
        "media": [
          {
            "id": 987650013,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-22.jpg",
                "width": 1290,
                "height": 1910,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-23.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-24.jpg",
                "width": 960,
                "height": 1422,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-25.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650014,
        "postedAt": "2025-11-11T01:00:29+00:00",
        "postedAtPrecise": "1762822829.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 926,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 14,
        "tipsAmount": "$0",
        "media": [
          {
            "id": 987650015,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-26.jpg",
                "width": 1290,
                "height": 1695,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-27.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-28.jpg",
                "width": 960,
                "height": 1262,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-29.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650016,
        "postedAt": "2025-11-07T04:31:36+00:00",
        "postedAtPrecise": "1762489896.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 725,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 12,
        "tipsAmount": "$20",
        "media": [
          {
            "id": 987650017,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-30.jpg",
                "width": 1290,
                "height": 1693,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-31.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-32.jpg",
                "width": 960,
                "height": 1260,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-33.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650018,
        "postedAt": "2025-10-24T15:53:26+00:00",
        "postedAtPrecise": "1761321206.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 1219,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 16,
        "tipsAmount": "$39.20",
        "media": [
          {
            "id": 987650019,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-34.jpg",
                "width": 1290,
                "height": 1676,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-35.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-36.jpg",
                "width": 960,
                "height": 1248,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-37.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      },
      {
        "author": {
          "id": 308625502,
          "_view": "a"
        },
        "responseType": "post",
        "id": 987650020,
        "postedAt": "2025-09-13T14:58:01+00:00",
        "postedAtPrecise": "1757775481.000000",
        "text": "<p>A new update from my profile.</p>",
        "isMarkdownDisabled": true,
        "canReport": true,
        "canComment": true,
        "favoritesCount": 1236,
        "mediaCount": 1,
        "isMediaReady": true,
        "isOpened": true,
        "canToggleFavorite": true,
        "commentsCount": 18,
        "tipsAmount": "$10",
        "media": [
          {
            "id": 987650021,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": null,
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/example/media-38.jpg",
                "width": 2048,
                "height": 1536,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/example/media-39.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-40.jpg",
                "width": 960,
                "height": 720,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/example/media-41.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "canViewMedia": true
      }
    ],
    "hasMore": true,
    "headMarker": "1770564766.000000",
    "tailMarker": "1757775481.000000",
    "counters": {
      "audiosCount": 0,
      "photosCount": 73,
      "videosCount": 0,
      "mediasCount": 73,
      "postsCount": 63,
      "streamsCount": 0,
      "archivedPostsCount": 0
    }
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/users/308625502/posts?limit=10&order=publish_date&sort=desc&pinned=0&counters=1&beforePublishTime=1757775481.000000"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 9999,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": null,
      "remaining_minute": 999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}